Package wx :: Package py :: Module editor :: Class EditorShellNotebook

[frames | no frames]

## Type EditorShellNotebook

    object --+
             |
        Object --+
                 |
        EvtHandler --+
                     |
                Window --+
                         |
                   Control --+
                             |
                  BookCtrlBase --+
                                 |
                          Notebook --+
                                     |
                                    EditorShellNotebook

A notebook containing an editor page and a shell page.

Method Summary
| ``__init__`(self, parent, filename)` Create EditorShellNotebook instance.
| ``OnPageChanged`(self, event)` Page changed event handler.
| `SetFocus(self)`

Property Summary

Instance Method Details

### __init__(self, parent, filename=None)
(Constructor)

Create EditorShellNotebook instance.

  Overrides:
    `wx.Notebook.__init__`

### OnPageChanged(self, event)

Page changed event handler.

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:41 2007 | http://epydoc.sf.net